PLplot: plplotc.PLGraphicsIn Class Reference

PLplot 5.15.0

Public Member Functions | Public Attributes | Static Public Attributes | Static Private Attributes | List of all members
plplotc.PLGraphicsIn Class Reference
Inheritance diagram for plplotc.PLGraphicsIn:

## Public Member Functions
def | __init__ (self)

## Public Attributes
| this

## Static Public Attributes
| type = _swig_property(_plplotc.PLGraphicsIn_type_get, _plplotc.PLGraphicsIn_type_set)
| state = _swig_property(_plplotc.PLGraphicsIn_state_get, _plplotc.PLGraphicsIn_state_set)
| keysym = _swig_property(_plplotc.PLGraphicsIn_keysym_get, _plplotc.PLGraphicsIn_keysym_set)
| button = _swig_property(_plplotc.PLGraphicsIn_button_get, _plplotc.PLGraphicsIn_button_set)
| subwindow = _swig_property(_plplotc.PLGraphicsIn_subwindow_get, _plplotc.PLGraphicsIn_subwindow_set)
| string = _swig_property(_plplotc.PLGraphicsIn_string_get, _plplotc.PLGraphicsIn_string_set)
| pX = _swig_property(_plplotc.PLGraphicsIn_pX_get, _plplotc.PLGraphicsIn_pX_set)
| pY = _swig_property(_plplotc.PLGraphicsIn_pY_get, _plplotc.PLGraphicsIn_pY_set)
| dX = _swig_property(_plplotc.PLGraphicsIn_dX_get, _plplotc.PLGraphicsIn_dX_set)
| dY = _swig_property(_plplotc.PLGraphicsIn_dY_get, _plplotc.PLGraphicsIn_dY_set)
| wX = _swig_property(_plplotc.PLGraphicsIn_wX_get, _plplotc.PLGraphicsIn_wX_set)
| wY = _swig_property(_plplotc.PLGraphicsIn_wY_get, _plplotc.PLGraphicsIn_wY_set)

## Static Private Attributes
dictionary | __swig_setmethods__ = {}
| __setattr__ = lambda self, name, value: _swig_setattr(self, PLGraphicsIn, name, value)
dictionary | __swig_getmethods__ = {}
| __getattr__ = lambda self, name: _swig_getattr(self, PLGraphicsIn, name)
| __repr__ = _swig_repr
| __swig_destroy__ = _plplotc.delete_PLGraphicsIn

## Detailed Description

Definition at line 295 of file plplotc.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def plplotc.PLGraphicsIn.__init__ | ( |  | self | ) |

Definition at line 350 of file plplotc.py.

## Member Data Documentation

## ◆ __getattr__

plplotc.PLGraphicsIn.__getattr__ = lambda self, name: _swig_getattr(self, PLGraphicsIn, name)
| staticprivate

Definition at line 299 of file plplotc.py.

## ◆ __repr__

plplotc.PLGraphicsIn.__repr__ = _swig_repr
| staticprivate

Definition at line 300 of file plplotc.py.

## ◆ __setattr__

plplotc.PLGraphicsIn.__setattr__ = lambda self, name, value: _swig_setattr(self, PLGraphicsIn, name, value)
| staticprivate

Definition at line 297 of file plplotc.py.

## ◆ __swig_destroy__

plplotc.PLGraphicsIn.__swig_destroy__ = _plplotc.delete_PLGraphicsIn
| staticprivate

Definition at line 356 of file plplotc.py.

## ◆ __swig_getmethods__

dictionary plplotc.PLGraphicsIn.__swig_getmethods__ = {}
| staticprivate

Definition at line 298 of file plplotc.py.

## ◆ __swig_setmethods__

dictionary plplotc.PLGraphicsIn.__swig_setmethods__ = {}
| staticprivate

Definition at line 296 of file plplotc.py.

## ◆ button

plplotc.PLGraphicsIn.button = _swig_property(_plplotc.PLGraphicsIn_button_get, _plplotc.PLGraphicsIn_button_set)
| static

Definition at line 316 of file plplotc.py.

## ◆ dX

plplotc.PLGraphicsIn.dX = _swig_property(_plplotc.PLGraphicsIn_dX_get, _plplotc.PLGraphicsIn_dX_set)
| static

Definition at line 336 of file plplotc.py.

## ◆ dY

plplotc.PLGraphicsIn.dY = _swig_property(_plplotc.PLGraphicsIn_dY_get, _plplotc.PLGraphicsIn_dY_set)
| static

Definition at line 340 of file plplotc.py.

## ◆ keysym

plplotc.PLGraphicsIn.keysym = _swig_property(_plplotc.PLGraphicsIn_keysym_get, _plplotc.PLGraphicsIn_keysym_set)
| static

Definition at line 312 of file plplotc.py.

## ◆ pX

plplotc.PLGraphicsIn.pX = _swig_property(_plplotc.PLGraphicsIn_pX_get, _plplotc.PLGraphicsIn_pX_set)
| static

Definition at line 328 of file plplotc.py.

## ◆ pY

plplotc.PLGraphicsIn.pY = _swig_property(_plplotc.PLGraphicsIn_pY_get, _plplotc.PLGraphicsIn_pY_set)
| static

Definition at line 332 of file plplotc.py.

## ◆ state

plplotc.PLGraphicsIn.state = _swig_property(_plplotc.PLGraphicsIn_state_get, _plplotc.PLGraphicsIn_state_set)
| static

Definition at line 308 of file plplotc.py.

## ◆ string

plplotc.PLGraphicsIn.string = _swig_property(_plplotc.PLGraphicsIn_string_get, _plplotc.PLGraphicsIn_string_set)
| static

Definition at line 324 of file plplotc.py.

## ◆ subwindow

plplotc.PLGraphicsIn.subwindow = _swig_property(_plplotc.PLGraphicsIn_subwindow_get, _plplotc.PLGraphicsIn_subwindow_set)
| static

Definition at line 320 of file plplotc.py.

## ◆ this

plplotc.PLGraphicsIn.this

Definition at line 355 of file plplotc.py.

## ◆ type

plplotc.PLGraphicsIn.type = _swig_property(_plplotc.PLGraphicsIn_type_get, _plplotc.PLGraphicsIn_type_set)
| static

Definition at line 304 of file plplotc.py.

## ◆ wX

plplotc.PLGraphicsIn.wX = _swig_property(_plplotc.PLGraphicsIn_wX_get, _plplotc.PLGraphicsIn_wX_set)
| static

Definition at line 344 of file plplotc.py.

## ◆ wY

plplotc.PLGraphicsIn.wY = _swig_property(_plplotc.PLGraphicsIn_wY_get, _plplotc.PLGraphicsIn_wY_set)
| static

Definition at line 348 of file plplotc.py.

The documentation for this class was generated from the following file:

- plplotc.py